// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#version 330 core

uniform sampler2D texture0;
uniform vec3 color;

in vec2 texCoord0;
out vec4 outColor;

void main()
{
    float mask = texture(texture0, texCoord0).r;

    if (mask > 0.0)
    {
        outColor = vec4(color, 1.0);
        //outColor = vec4(mask, 0.0, 0.0, 1.0);

        //outColor = readTexture1(texture0, texCoord0);
    }
    else
    {
        //outColor = vec4(0.0,1.0,0.0, 1.0);
        discard;
    }
}
