// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#version 330 core

uniform sampler2D texture2;
uniform vec3 color0;
uniform float alpha0;

in vec2 texCoord0;
flat in vec4 tileCoord;

out vec4 fragColor;

void main() 
{
    vec2 finalCoord = mix(tileCoord.xy, tileCoord.zw, texCoord0);
    float alpha = texture(texture2, finalCoord).r;
    fragColor = vec4(color0, min(alpha, alpha0));
}
