// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2025 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#version 330 core

layout(location = 0) in vec2 direction;
layout(location = 1) in vec2 texCoord;
layout(location = 2) in vec3 position;
layout(location = 3) in vec3 orientation;

uniform mat4 mvp;
uniform float size; 

out vec2 texCoord0;

void main() 
{
    texCoord0 = texCoord;

    vec3 xaxis = normalize(cross(orientation, position));

    gl_Position = mvp * vec4(position + (direction.x * xaxis + direction.y * orientation) * size, 1.0);
}
